Read an operation by its business number
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://app.quatlasglobal.com/api/integrations/v1/operations/by-number/example"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://app.quatlasglobal.com/api/integrations/v1/operations/by-number/example")) .header("Authorization", "Bearer <token>") .method("GET", HttpRequest.BodyPublishers.noBody()) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());const url = 'https://app.quatlasglobal.com/api/integrations/v1/operations/by-number/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.quatlasglobal.com/api/integrations/v1/operations/by-number/example \ --header 'Authorization: Bearer <token>'Requires the tracking:read scope. The operation’s business number (SHPT-012618), in any case, with or without the SHPT- prefix (another kind’s prefix is 400 Integration.InvalidBusinessNumber). Answers exactly as /deals/{id}/tracking for its deal: an operation of a deal your company is not a party to, or a number that does not exist, is 404.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Responses
Section titled “Responses”OK
object
When the operation was cancelled after going live, if it was.
When the shipper confirmed the delivery.
The carrier’s latest delivery estimate (the planned date until it is revised).
The deal’s business number (DEAL-206447).
object
The place the carrier named, as text. Never coordinates.
Loaded, Departed, Arrived, InTransit, AtCustoms, ModeHandover, OutForDelivery, Delivered, Exception, Refused or PartiallyDelivered.
The delivery date agreed when the deal went live: the promise a delivery is judged against.
Whether a proof of delivery was captured.
The operation’s business number (SHPT-012618). Never changes.
Examplegenerated
{ "cancelledAt": "2026-04-15T12:00:00Z", "completedAt": "2026-04-15T12:00:00Z", "currentEta": "2026-04-15", "dealId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "dealNumber": "example", "deliveredAt": "2026-04-15T12:00:00Z", "etaRevisedAt": "2026-04-15T12:00:00Z", "livemode": true, "milestones": [ { "location": "example", "occurredAt": "2026-04-15T12:00:00Z", "type": "example" } ], "plannedEta": "2026-04-15", "proofOfDelivery": true, "shipmentNumber": "example"}Bad Request
object
Examplegenerated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}Unauthorized
object
Examplegenerated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}Forbidden
object
Examplegenerated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}Not Found
object
Examplegenerated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}Too Many Requests
object
Examplegenerated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}